%define name		dbunit
%define version		2.1
%define release		1jpp
%define	section		free


Name:		%{name}
Summary:	DBUnit extension for JUnit
Url:		http://dbunit.sourceforge.net/
Version:	%{version}
Release:	%{release}
Epoch:		0
License:	LGPL
Group:		Development/Testing
Vendor:		JPackage Project
Distribution:	JPackage
BuildArch:	noarch
Source0:	%{name}-%{version}-src.tar.gz
Source1:        pom-maven2jpp-depcat.xsl
Source2:        pom-maven2jpp-newdepmap.xsl
Source3:        pom-maven2jpp-mapdeps.xsl
Source4:        dbunit-2.1-jpp-depmap.xml

BuildRequires:	maven
BuildRequires:	saxon, saxon-scripts
BuildRequires:  java-devel >= 0:1.4
BuildRequires:  ant
BuildRequires:  crimson
BuildRequires:  hsqldb
BuildRequires:  jdbc-stdext
BuildRequires:  junit
BuildRequires:  mockmaker
BuildRequires:  mockobjects
BuildRequires:  jakarta-poi
Requires:  ant
Requires:  jdbc-stdext
Requires:  junit
Requires:  jakarta-poi
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
DbUnit is a JUnit extension (also usable with Ant) targeted 
for database-driven projects that, among other things, puts 
your database into a known state between test runs. This is 
an excellent way to avoid the myriad of problems that can 
occur when one test case corrupts the database and causes 
subsequent tests to fail or exacerbate the damage. 
DbUnit has the ability to export and import your database 
data to and from XML datasets. Since version 2.0, DbUnit can 
works with very large dataset when use in streaming mode. 
DbUnit can also helps you to verify that your database data 
match expected set of values. 

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}
chmod -R go=u-w *
find . -name "*.jar" -exec rm -f {} \;
export DEPCAT=$(pwd)/dbunit-2.1-depcat.new.xml
echo '<?xml version="1.0" standalone="yes"?>' > $DEPCAT
echo '<depset>' >> $DEPCAT
for p in $(find . -name project.xml); do
    pushd $(dirname $p)
    /usr/bin/saxon project.xml %{SOURCE1} >> $DEPCAT
    popd
done
echo >> $DEPCAT
echo '</depset>' >> $DEPCAT
/usr/bin/saxon $DEPCAT %{SOURCE2} > dbunit-2.1-depmap.new.xml


%build
for p in $(find . -name project.xml); do
    pushd $(dirname $p)
    cp project.xml project.xml.orig
    /usr/bin/saxon -o project.xml project.xml.orig %{SOURCE3} map=%{SOURCE4}
    popd
done

for p in $(find . -name project.properties); do
    echo >> $p
    echo maven.repo.remote=file:/usr/share/maven-1.0/repository >> $p
    echo maven.home.local=$(pwd)/.maven >> $p
done

mkdir -p .maven/repository/JPP/jars
pushd .maven/repository/JPP/jars
ln -sf $(build-classpath mockobjects) mockobjects-jdk1.4.jar
popd
build-jar-repository -s -p .maven/repository/JPP/jars \
ant \
crimson \
hsqldb \
jdbc-stdext \
junit \
mockobjects-core \
mockmaker \
poi \

maven jar javadoc

%install
%__rm -rf %{buildroot}

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 target/%{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr target/docs/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%files
%defattr(-,root,root)
%doc LICENSE.txt
%{_javadir}/*

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%changelog
* Mon Feb 21 2005 Ralph Apel <r.apel at r-apel.de> 0:2.1-1jpp
- First release

